# Visualization
TKService
Xw

# Xw_TextManager Class Reference

defines the common behaviour of the Xw output driver.
Warning: Permits to receives draw primitives from the FontManager
at DrawText(...) time.
This class must be redefined by the user as an application class.

`#include <Xw_TextManager.hxx>`

Inheritance diagram for Xw_TextManager:

[legend]

## Public Member Functions

Standard_EXPORT | Xw_TextManager (const Standard_Address aDrawable, const Standard_Address aWidthMap)
| Does NOTHING .
virtual Standard_EXPORT void | BeginString (const Quantity_Length X, const Quantity_Length Y, const Quantity_PlaneAngle anOrientation, const Quantity_Length aWidth, const Quantity_Length aHeight, const Quantity_PlaneAngle aSlant, const Standard_Integer aPaintType)
| Calls when string drawing is started. with a string aspect <apainttype> : 0 for filled string 1 for stroke string 2 for outline string The origine of the string <x>,<y>, The orientation of the string <anorientation>, The medium size of the char <aWidth,aHeight>, The Slant of the char <aslant>, .
virtual Standard_EXPORT Standard_Boolean | BeginChar (const Standard_Integer aCharCode, const Quantity_Length X, const Quantity_Length Y)
| Calls when a char drawing is started and give the current string position for this char. and give the relative char position from the beginning of the string. The application can returns FALSE for skipping the char drawing. .
virtual Standard_EXPORT Standard_Boolean | SetCharBoundingBox (const Quantity_Length X1, const Quantity_Length Y1, const Quantity_Length X2, const Quantity_Length Y2, const Quantity_Length X3, const Quantity_Length Y3, const Quantity_Length X4, const Quantity_Length Y4)
| Calls to defines the current char bounding-box. The application can returns FALSE for ending the char drawing. .
virtual Standard_EXPORT Standard_Boolean | SetCharEncoding (const Standard_CString anEncoding)
| Calls to defines the current char encoding. Warning: The application can returns FALSE for skipping the char drawing. .
virtual Standard_EXPORT Standard_Boolean | Moveto (const Quantity_Length X, const Quantity_Length Y)
| Calls to sets the current string position. The application can returns FALSE for ending the char drawing. .
virtual Standard_EXPORT Standard_Boolean | Lineto (const Quantity_Length X, const Quantity_Length Y)
| Calls to drawn to the current string position. The application can returns FALSE for ending the char drawing. .
virtual Standard_EXPORT Standard_Boolean | Curveto (const Quantity_Length X1, const Quantity_Length Y1, const Quantity_Length X2, const Quantity_Length Y2, const Quantity_Length X3, const Quantity_Length Y3, const Quantity_Length X4, const Quantity_Length Y4)
| Calls to drawn to the current string position. The application can drawn the curve defined by his descriptor P1,P2,P3,P4 or returns FALSE to let the interpretor compute the curve vectors. .
virtual Standard_EXPORT void | ClosePath ()
| Calls when a char path drawing is ended .
virtual Standard_EXPORT Standard_Boolean | EndChar (const Quantity_Length X, const Quantity_Length Y)
| Calls when a char drawing is ended and give the relative char ending position from the beginning of the string. The application can returns FALSE for skipping the string drawing. .
virtual Standard_EXPORT void | EndString ()
| Calls when string drawing is ended (Normally the last call). .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | SetTextAttribs (const Standard_Integer aTextColor, const Aspect_TypeOfText aTypeOfText, const Quantity_Length anUnderlinePosition=0.0)
| Sets the current attribs of the text. .

## Private Attributes

Standard_Address | myDrawable
Standard_Address | myWidthMap

## Constructor & Destructor Documentation

Standard_EXPORT Xw_TextManager::Xw_TextManager | ( | const Standard_Address | aDrawable,
|  | const Standard_Address | aWidthMap
| ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean Xw_TextManager::BeginChar | ( | const Standard_Integer | aCharCode,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y
| ) | `[virtual]`

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT void Xw_TextManager::BeginString | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_PlaneAngle | anOrientation,
|  | const Quantity_Length | aWidth,
|  | const Quantity_Length | aHeight,
|  | const Quantity_PlaneAngle | aSlant,
|  | const Standard_Integer | aPaintType
| ) | `[virtual]`

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT void Xw_TextManager::ClosePath | ( |  | ) | `[virtual]`

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT Standard_Boolean Xw_TextManager::Curveto | ( | const Quantity_Length | X1,
|  | const Quantity_Length | Y1,
|  | const Quantity_Length | X2,
|  | const Quantity_Length | Y2,
|  | const Quantity_Length | X3,
|  | const Quantity_Length | Y3,
|  | const Quantity_Length | X4,
|  | const Quantity_Length | Y4
| ) | `[virtual]`

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT Standard_Boolean Xw_TextManager::EndChar | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y
| ) | `[virtual]`

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT void Xw_TextManager::EndString | ( |  | ) | `[virtual]`

| Reimplemented from MFT_TextManager.

Standard_EXPORT const Xw_TextManager::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT Standard_Boolean Xw_TextManager::Lineto | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y
| ) | `[virtual]`

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT Standard_Boolean Xw_TextManager::Moveto | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y
| ) | `[virtual]`

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT Standard_Boolean Xw_TextManager::SetCharBoundingBox | ( | const Quantity_Length | X1,
|  | const Quantity_Length | Y1,
|  | const Quantity_Length | X2,
|  | const Quantity_Length | Y2,
|  | const Quantity_Length | X3,
|  | const Quantity_Length | Y3,
|  | const Quantity_Length | X4,
|  | const Quantity_Length | Y4
| ) | `[virtual]`

| Reimplemented from MFT_TextManager.

virtual Standard_EXPORT Standard_Boolean Xw_TextManager::SetCharEncoding | ( | const Standard_CString | anEncoding | ) | `[virtual]`

| Reimplemented from MFT_TextManager.

Standard_EXPORT void Xw_TextManager::SetTextAttribs | ( | const Standard_Integer | aTextColor,
|  | const Aspect_TypeOfText | aTypeOfText,
|  | const Quantity_Length | anUnderlinePosition = `0.0`
| ) | `[private]`

## Field Documentation

Standard_Address Xw_TextManager::myDrawable `[private]`

Standard_Address Xw_TextManager::myWidthMap `[private]`

The documentation for this class was generated from the following file:

- Xw_TextManager.hxx